summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorMichael Buesch <mb@bu3sch.de>2010-03-19 15:31:30 +0100
committerMichael Buesch <mb@bu3sch.de>2010-03-19 15:31:30 +0100
commit8cd7efbb6666ca18691710d47149a7e0a1a2db47 (patch)
tree6aaf5f7f8e2fa0c95ee446945b0bc4d0eec2fa22 /tests
parentad3bcf06d7845d1396db00dbd56e9124fd43d4d0 (diff)
downloadtoprammer-8cd7efbb6666ca18691710d47149a7e0a1a2db47.tar.xz
toprammer-8cd7efbb6666ca18691710d47149a7e0a1a2db47.zip
Select chips by chip-ID. Not by bitfile.
Signed-off-by: Michael Buesch <mb@bu3sch.de>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/run-tests.sh11
-rw-r--r--tests/top2049/001-atmega32dip40.test2
-rw-r--r--tests/top2049/002-at89c2051dip20.test2
-rw-r--r--tests/top2049/003-w29ee011dip32.test2
4 files changed, 12 insertions, 5 deletions
diff --git a/tests/run-tests.sh b/tests/run-tests.sh
index bee9a36..15af820 100755
--- a/tests/run-tests.sh
+++ b/tests/run-tests.sh
@@ -28,6 +28,12 @@ function error
echo "ERROR $current_test: $@"
}
+function abort
+{
+ cleanup
+ exit 1
+}
+
function die
{
error $@
@@ -79,6 +85,7 @@ function request
{
read -s -n1 -p "$@" res
echo
+ [ "$res" = "a" ] && abort
[ "$res" = "x" ] && return 1
return 0
}
@@ -87,12 +94,12 @@ function request_DUT # $1=DUT-name
{
local dut="$1"
toprammer_layout -d "$current_device" -p "$dut" --only-insert
- request "Please insert a $dut into the ZIF socket (x to skip)..."
+ request "Please insert a $dut into the ZIF socket (x to skip; a to abort)..."
}
function request_TOP # $1=TOPxxxx
{
- request "Please connect the $@ programmer (x to skip)..."
+ request "Please connect the $@ programmer (x to skip; a to abort)..."
}
function create_random_file # $1=file $2=bs $3=count
diff --git a/tests/top2049/001-atmega32dip40.test b/tests/top2049/001-atmega32dip40.test
index 6845c55..cc5f324 100644
--- a/tests/top2049/001-atmega32dip40.test
+++ b/tests/top2049/001-atmega32dip40.test
@@ -8,7 +8,7 @@ function test_init
function test_run
{
- local args="--bitfile atmega32dip40 -I bin -O bin"
+ local args="-c atmega32dip40 -I bin -O bin"
# Check signature
toprammer $args --read-sig "$tmpfile"
diff --git a/tests/top2049/002-at89c2051dip20.test b/tests/top2049/002-at89c2051dip20.test
index 50fa8e6..37bc88b 100644
--- a/tests/top2049/002-at89c2051dip20.test
+++ b/tests/top2049/002-at89c2051dip20.test
@@ -8,7 +8,7 @@ function test_init
function test_run
{
- local args="--bitfile at89c2051dip20 -I bin -O bin"
+ local args="-c at89c2051dip20 -I bin -O bin"
# Check signature
toprammer $args --read-sig "$tmpfile"
diff --git a/tests/top2049/003-w29ee011dip32.test b/tests/top2049/003-w29ee011dip32.test
index 676dd34..385960a 100644
--- a/tests/top2049/003-w29ee011dip32.test
+++ b/tests/top2049/003-w29ee011dip32.test
@@ -8,7 +8,7 @@ function test_init
function test_run
{
- local args="--bitfile w29ee011dip32 -I bin -O bin"
+ local args="-c w29ee011dip32 -I bin -O bin"
toprammer $args --erase
bues.ch cgit interface